.hidden {
    display: none
}

@media (min-width: 640px) {
    .formcol.right > .formcomponent {
        max-width: 100%
    }
}

@media (max-width: 639px) {
    .formcol.right > .formcomponent,
    .formcol.left > .formcomponent {
        max-width: 100%;
        flex-basis: 100%;
    }
}

.frach-e-radio-button.frach-e-input--checkable.oneline {
    float: left;
    margin-top: 24px;
    margin-right: 1em;
}

.formcomponent {
    width: 100%;
    margin: 0.5em 0;
    clear: both;
}

.frach-grid-row .formcomponent {
    margin: auto;
}

.formlabel {
    width: 100%;
    margin: 1em 0 0.5em 0;
}

.formvalue {
    margin: 0.5em 0;
}

.fraformsform input, .fraformsform textarea {
    width: 100%;
}

.fraformsform input[type=radio],
.fraformsform input[type=checkbox] {
    width: auto;
    margin-right: 0.25em;
    margin-bottom: 0.5em;
}

.fraformsform fieldset {
    width: 100%;
    border: 0;
    margin: 0;
    padding: 1em;
}

.fraformsform .doublefield {
    display: flex;
    flex-wrap: wrap;
    gap: 2%
}

.fraformsform .doublefield > .formcol.left, .fraformsform .doublefield > .formcol.right
{
    flex-grow: 1;
    min-width: 12em;
}

.fraformsform .doublefield.r1to1 > .formcol.left,
 .fraformsform .doublefield.r1to1 > .formcol.right{
     flex-grow: 1;
     flex-basis: 45%;
 }

.fraformsform .doublefield.r1to2 > .formcol.right,
.fraformsform .doublefield.r2to1 > .formcol.left {
    flex-grow: 2;
    flex-basis: 32%;
}

.fraformsform .doublefield.r1to3 > .formcol.right,
.fraformsform .doublefield.r3to1 > .formcol.left {
    flex-grow: 3;
    flex-basis: 65%;
}

.fraformsform {
    max-width: 80em
}

.fraformsform .dyngroupentry {
    width: 100%;
}

.fraformsform .dyngroupentry > button {
    float: right;
}

.fraformsform .frach-grid button {
    height: inherit;
    margin-bottom: 2em;
}

/*.fraformsform button
{
    height: 2em;
}*/

.fraformsform .formcomponent .checkbox label > input[type=checkbox] {
    margin-left: -1em;
}

.fraformsform .formcomponent .checkbox {
    margin-left: 1em;
}

.fraformsform .error {
    color: darkred;
}

.fraformsform .formvalue.oneline {
    display: flex;
}

.fraformsform.initialize {
    background-image: url("images/ajax-loader.gif");
    width: 100%;
    height: 2em;
    background-repeat: no-repeat;
}

.box-content .fraformsform {
    padding: 1em;
}

.fraformsform .hidden {
    display: none;
}

.fraformsform .sendinfo {
    background-color: rgba(255, 255, 255, 0);
    display: none;
    opacity: 0
}

.fraformsform .sendinfo.sending {
    display: block;
    position: absolute;
    background: rgba(255, 255, 255, 0.75);
    z-index: 10000;
    opacity: 0.75;
    -webkit-transition: opacity 2000ms ease-in;
    -ms-transition: opacityr 2000ms ease-in;
    transition: opacity 2000ms ease-in;
}


.selectize-control.plugin-drag_drop.multi > .selectize-input > div.ui-sortable-placeholder {
    visibility: visible !important;
    background: #f2f2f2 !important;
    background: rgba(0, 0, 0, 0.06) !important;
    border: 0 none !important;
    -webkit-box-shadow: inset 0 0 12px 4px #fff;
    box-shadow: inset 0 0 12px 4px #fff;
}

.selectize-control.plugin-drag_drop .ui-sortable-placeholder::after {
    content: '!';
    visibility: hidden;
}

.selectize-control.plugin-drag_drop .ui-sortable-helper {
    -webkit-box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
}

.selectize-dropdown-header {
    position: relative;
    padding: 5px 8px;
    border-bottom: 1px solid #d0d0d0;
    background: #f8f8f8;
    -webkit-border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    border-radius: 3px 3px 0 0;
}

.selectize-dropdown-header-close {
    position: absolute;
    right: 8px;
    top: 50%;
    color: #303030;
    opacity: 0.4;
    margin-top: -12px;
    line-height: 20px;
    font-size: 20px !important;
}

.selectize-dropdown-header-close:hover {
    color: #000000;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup {
    border-right: 1px solid #f2f2f2;
    border-top: 0 none;
    float: left;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup:last-child {
    border-right: 0 none;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup:before {
    display: none;
}

.selectize-dropdown.plugin-optgroup_columns .optgroup-header {
    border-top: 0 none;
}

.selectize-control.plugin-remove_button [data-value] {
    position: relative;
    padding-right: 24px !important;
}

.selectize-control.plugin-remove_button [data-value] .remove {
    z-index: 1;
    /* fixes ie bug (see #392) */
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 17px;
    text-align: center;
    font-weight: bold;
    font-size: 12px;
    color: inherit;
    text-decoration: none;
    vertical-align: middle;
    display: inline-block;
    padding: 2px 0 0 0;
    border-left: 1px solid #0073bb;
    -webkit-border-radius: 0 2px 2px 0;
    -moz-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.selectize-control.plugin-remove_button [data-value] .remove:hover {
    background: rgba(0, 0, 0, 0.05);
}

.selectize-control.plugin-remove_button [data-value].active .remove {
    border-left-color: #00578d;
}

.selectize-control.plugin-remove_button .disabled [data-value] .remove:hover {
    background: none;
}

.selectize-control.plugin-remove_button .disabled [data-value] .remove {
    border-left-color: #aaaaaa;
}

.selectize-control.plugin-remove_button .remove-single {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 23px;
}

.selectize-control {
    position: inherit;
}

.selectize-control.loading
{
    opacity: 1;
}

/*.selectize-dropdown,
.selectize-input,
.selectize-input input {
    color: #303030;
    font-family: inherit;
    font-size: 13px;
    line-height: 18px;
    -webkit-font-smoothing: inherit;
}*/

.selectize-input,
.selectize-control.single .selectize-input.input-active {
    background: #fff;
    cursor: text;
    display: inline-block;
}

.selectize-control.multi .selectize-input.has-items {
    padding: 4px 8px 2px;
}

.selectize-input.full {
    background-color: #fff;
}

.selectize-input.disabled,
.selectize-input.disabled * {
    cursor: default !important;
}

.selectize-input > * {
    vertical-align: baseline;
    display: -moz-inline-stack;
    display: inline-block;
    zoom: 1;
    *display: inline;
}

.selectize-control.multi .selectize-input > div {
    cursor: pointer;
    margin: 0 3px 3px 0;
    padding: 2px 6px;
    background: #1da7ee;
    color: #fff;
    border: 1px solid #0073bb;
}

/*.selectize-control.multi .selectize-input > div.active {
    background: #92c836;
    color: #fff;
    border: 1px solid #00578d;
}*/

.selectize-control.multi .selectize-input.disabled > div,
.selectize-control.multi .selectize-input.disabled > div.active {
    color: #ffffff;
    background: #d2d2d2;
    border: 1px solid #aaaaaa;
}

.selectize-input > input {
    display: inline-block !important;
    padding: 0 !important;
    min-height: 0 !important;
    max-height: none !important;
    max-width: 100% !important;
    margin: 0 1px !important;
    text-indent: 0 !important;
    border: 0 none !important;
    background: none !important;
    line-height: inherit !important;
    -webkit-user-select: auto !important;
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
}

.selectize-input > input::-ms-clear {
    display: none;
}

.selectize-input > input:focus {
    outline: none !important;
}

.selectize-input::after {
    content: ' ';
    display: block;
    clear: left;
}

.selectize-input.dropdown-active::before {
    content: ' ';
    display: block;
    position: absolute;
    background: #f0f0f0;
    height: 1px;
    bottom: 0;
    left: 0;
    right: 0;
}

.selectize-dropdown [data-selectable] {
    cursor: pointer;
    overflow: hidden;
}

.selectize-dropdown [data-selectable] .highlight {
    background: rgba(125, 168, 208, 0.2);
    -webkit-border-radius: 1px;
    -moz-border-radius: 1px;
    border-radius: 1px;
}

.selectize-dropdown .option,
.selectize-dropdown .optgroup-header {
    padding: 5px 8px;
}

.selectize-dropdown .option,
.selectize-dropdown [data-disabled],
.selectize-dropdown [data-disabled] [data-selectable].option {
    cursor: inherit;
    opacity: 0.5;
}

.selectize-dropdown [data-selectable].option {
    opacity: 1;
}

.selectize-dropdown .optgroup:first-child .optgroup-header {
    border-top: 0 none;
}

.selectize-dropdown .optgroup-header {
    color: #303030;
    background: #fff;
    cursor: default;
}

.selectize-dropdown .active.create {
    color: #495c68;
}

.selectize-dropdown .create {
    color: rgba(48, 48, 48, 0.5);
}

.selectize-dropdown-content {
    overflow-y: auto;
    overflow-x: hidden;
    max-height: 200px;
    -webkit-overflow-scrolling: touch;
}

.selectize-control.single .selectize-input,
.selectize-control.single .selectize-input input {
    cursor: pointer;
}

.selectize-control.single .selectize-input.input-active,
.selectize-control.single .selectize-input.input-active input {
    cursor: text;
}

.selectize-control.single .selectize-input:after {
    content: ' ';
    display: block;
    position: absolute;
    top: 50%;
    right: 15px;
    margin-top: -3px;
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 5px 5px 0 5px;
    border-color: #808080 transparent transparent transparent;
}

.selectize-control.single .selectize-input.dropdown-active:after {
    margin-top: -4px;
    border-width: 0 5px 5px 5px;
    border-color: transparent transparent #808080 transparent;
}

.selectize-control.rtl.single .selectize-input:after {
    left: 15px;
    right: auto;
}

.selectize-control.rtl .selectize-input > input {
    margin: 0 4px 0 -2px !important;
}

.selectize-control .selectize-input.disabled {
    opacity: 0.5;
    background-color: #fafafa;
}

.selectize-control.multi .selectize-input.has-items {
    padding-left: 5px;
    padding-right: 5px;
}

.selectize-control.multi .selectize-input.disabled [data-value] {
    color: #999;
    text-shadow: none;
    background: none;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.selectize-control.multi .selectize-input.disabled [data-value],
.selectize-control.multi .selectize-input.disabled [data-value] .remove {
    border-color: #e6e6e6;
}

.selectize-control.multi .selectize-input.disabled [data-value] .remove {
    background: none;
}

.selectize-control.single .selectize-input,
.selectize-dropdown.single {
    border-color: #b8b8b8;
}

.selectize-dropdown .optgroup-header {
    padding-top: 7px;
    font-weight: bold;
    font-size: 0.85em;
}

.selectize-dropdown .optgroup {
    border-top: 1px solid #f0f0f0;
}

.selectize-dropdown .optgroup:first-child {
    border-top: 0 none;
}

.selectize-control.autocomplete.single .selectize-input:after {
    display: none
}

.selectize-control .selectize-input.items div.item,
.selectize-dropdown-content div.option {
    font-weight: normal;
}

.frach-state-error {
    color: #d71b3a;
}

.fraformsform .inputcheckerror {
    color: red;
}

.fraformsform .inputcheckvalid {
    color: green;
}

.fraformsform .formcomponent label {
    display: block;
}

.formloader.sending {
    opacity: 1;
    -webkit-transition: opacity 1500ms ease-in;
    -ms-transition: opacityr 1500ms ease-in;
    transition: opacity 1500ms ease-in;
    position: absolute;
    left: 50%;
}

.formloader {
    display: flex;
    opacity: 0;
    -webkit-transition: opacity 500ms ease-out;
    -ms-transition: opacityr 500ms ease-out;
    transition: opacity 500ms ease-out;
    align-items: center;
    align-content: center;
    justify-content: center;
    z-index: 100000;
    height: 0;
}

.formloader__element {
    border-radius: 100%;
    border: 5px solid #555;
    margin: 10px;
}

.formloader .formloader__element {
    display: none;
}

.formloader.sending .formloader__element {
    display: block;
}

.formloader__element:nth-child(1) {
    animation: preloader .6s ease-in-out alternate infinite;
}

.formloader__element:nth-child(2) {
    animation: preloader .6s ease-in-out alternate .2s infinite;
}

.formloader__element:nth-child(3) {
    animation: preloader .6s ease-in-out alternate .4s infinite;
}

.formloadinginfo {
    text-align: center;
    margin: 1em 0;
}

@keyframes preloader {
    100% {
        transform: scale(2);
    }
}


/* AutoComplete */

[data-position=below] .autocomplete-input[aria-expanded=true] {
    border-bottom-color: transparent;
}

[data-position=above] .autocomplete-input[aria-expanded=true] {
    border-top-color: transparent;
    z-index: 2
}

.autocomplete[data-loading=true]:after {
    content: "";
    width: 20px;
    height: 20px;
    position: absolute;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
    animation: rotate 1s linear infinite
}

ul.autocomplete-result-list {
    margin: 0;
    border: 1px solid rgba(0, 0, 0, .12);
    padding: 0;
    left: 0;
    box-sizing: border-box;
    max-height: 296px;
    overflow-y: auto;
    background: #fff;
    list-style: none;
}

ul.autocomplete-result-list:empty {
    border: none;
}

[data-position=below] .autocomplete-result-list {
    margin-top: -1px;
    border-top-color: transparent;
    /*padding-bottom: 8px*/
}

[data-position=above] .autocomplete-result-list {
    margin-bottom: -1px;
    border-bottom-color: transparent;
    /*padding-top: 8px*/
}

ul.autocomplete-result-list li
{
    margin: 0;
}

.autocomplete-result {
    cursor: default;
    padding: 0.5em;
    margin: 0;
    font-weight: normal;
    background-color: #eaeaea;
}

.autocomplete-result:hover, .autocomplete-result[aria-selected=true] {
    background-color: #40a0FD;
    color: #ffffff;
}

@keyframes rotate {
    0% {
        transform: translateY(-50%) rotate(0deg)
    }
    to {
        transform: translateY(-50%) rotate(359deg)
    }
}

.selectize-control.loading
{
    opacity: 1;
}
.selectize-control.loading:after{
    content: " ";
    border-radius: 100%;
    border: 5px solid #555;
    margin: 10px;
    position: absolute;
    right: 0.4em;
    top: 2px;
    z-index: 100;
    animation: preloader .6s ease-in-out alternate infinite;
}

.fraformsform .forminfotext h1, .fraformsform .forminfotext h2, .fraformsform .forminfotext h3, .fraformsform .forminfotext h4
{
    margin-left: 0
}

.fraformform label{
    display:block;
}

.formvalue > .hint
{
    margin: 0.5em 0;
    font-style: normal;
    font-weight: normal;
}

.roimage
{
    padding: 1em;
}

.fraformsform .roimage img.ff_preview
{
    float: none;
    position: inherit;
}

.fraformsform .formvalue.readonly > .selectize-control > .selectize-input,
.fraformsform .selectize-control.readonly,
.fraformsform .selectize-control.readonly > .selectize-input,
.fraformsform .readonly.autocomplete > input[disabled],
#app .fraformsform .readonly.autocomplete > input[disabled]{
    border: inherit;
    background: inherit;
    color: inherit;
    opacity: inherit;
    padding: inherit;
}

.fraformsform .formvalue.readonly > .selectize-control > .selectize-input > .item,
.fraformsform .selectize-control.readonly > .selectize-input > .item[data-value],
.fraformsform input.readonly.autocomplete-input {
    color: inherit;
    border: inherit;
    background: inherit;
    padding: inherit;
    opacity: inherit;
    margin-right: 2em;
    box-shadow: inherit;
}

.fraformsform .formvalue .edittable,
#app .fraformsform .formvalue .edittable
{
    padding:0;
}

.fraformsform.layout-sl .fraformstable .formlabel
{
    display: none;
}.fraformsform frach-e-text-input.autoheight
{
    height: auto
}

.fraformsform .selectize-dropdown {
    border: 1px solid #848c91;
}

.fraformsform .selectize-control.multi .selectize-input > div {
    border: 1px solid #00003a;
}

.fraformsform .selectize-control.plugin-remove_button [data-value] .remove
{
    border-left: none;
}

.fraformsform .selectize-control.multi .selectize-input [data-value]
{
    text-shadow: none;
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
    background-color: #1b9dec;
    background-image: -moz-linear-gradient(top, #00003a, #00003a);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#00003a), to(#00003a));
    background-image: -webkit-linear-gradient(top, #00003a, #00003a);
    background-image: -o-linear-gradient(top, #00003a, #00003a);
    background-image: linear-gradient(to bottom, #00003a, #00003a);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#ff00003a', endColorstr='#ff00003a', GradientType=0);
    -webkit-box-shadow: 0 1px 0 rgba(0,0,0,0.2),inset 0 1px rgba(255,255,255,0.03);
    box-shadow: 0 1px 0 rgba(0,0,0,0.2),inset 0 1px rgba(255,255,255,0.03);
}

.fraformsform div.selectize-input {
    border: transparent;
    box-shadow: none;
    -webkit-box-shadow: none;
    border-radius: 0;
    bottom: 0.2em;
    background: transparent;
}

/*.fraformsform .selectize-dropdown{
    width: 100%!important;
    left: 0!important;
}*/

.fraformsform span.frach-e-input__checkable{
    background-color: white;
}

.fraformsform fieldset {
    background-color: #edeeef;
    padding: 1.5em 1.5em;
    margin: 0 0 1.5em 0;
}

.fraformsform .formcontainer {
    padding: 1em 0 0.5em 2em;
}

.fraformsform .forminfotext {
    padding: 1em 0;
}


.fraformsform .forminfotext.frach-m-text a,.fraformsform .forminfotext.frach-m-text a:visited
{
    color: #000091;
}

.captchaimg {
    float: right;
    position: relative;
    top: -3em;
    right: 1em;
}

/* Bugfix Abstände innerhalb repeat Felder*/
.fraformsform .frach-m-input-group .frach-e-input.frach-e-text-input, .fraformsform .frach-m-input-group .frach-e-input.frach-e-datepicker,
.fraformsform .frach-m-input-group .frach-e-input.frach-e-select{
    margin: 8px 0 30px;
}

.fraformsform .ff_uploadzone
{
    width: 100%;
    height: 100%;
    padding: 57px 15px 7px;
    border: 1px solid #848c91;
    border-radius: 4px;
    margin: 0;
    color: inherit;
    background: #fff;
    font-size: inherit;
    cursor: pointer;
    display: block;
}

.fraformsform .ff_fileupload:hover, .fraformsform .ff_fileupload.dragged-over
{
    background-color: #e6e8e9 !important;
    border: 1px solid !important;
}
.fraformsform input.ff_fileupload
{
    display:block;
}

.fraformsform img.ff_preview
{
    max-width: 50%;
    width: unset;
    max-height: 12em;
    float: right;
    position: relative;
    top: -3em;
}

.fraformsform img.ff_preview.svg
{
    width: 100%
}

.fraformsform img.ff_preview.icon
{
    width: 13em
}

.fraformsform .ff_filetypeinfo, .fraformsform .ff_uploadinfo
{
    display: block;
    margin-bottom: 1em;
}

.fraformsform .error .ff_uploadzone {
    background-color: #ffdede;
}

.fraformsform .frach-e-text-input span.label
{
    position: absolute;
    margin: 1em;
}

.fraformsform .captcha label {
    cursor: text;
}

.fraformsform .frach-m-input-group
{
    margin: 0 0 24px 0;
}

.fraformsform fieldset > legend
{
    position: relative;
    top: 38px;
    display: block;
    margin-bottom: 32px;
    font-size: 20px;
    color: #697074;
    font-weight: 400;
    font-family: roboto-medium,sans-serif;
    font-style: normal;
    padding-left: 0;
}

.fraformsform .inputcheckhint
{
    padding-top: 0.5em;
}

.fraformsform .inputcheckhint.inputcheckerror
{
    color: #d71b3a;
}
.fraformsform .inputcheckhint.inputcheckerror:before {
    content: 'X\00a0'
}
.fraformsform .inputcheckhint.inputcheckvalid
{
    color: #328F22;
}

.fraformsform .inputcheckhint.inputcheckvalid:before
{
    content: '\2714\00a0';
}

.fraformsform .formcomponent.ffactive .ffvalidation
{
    visibility: visible;
}

.fraformsform .formcomponent .ffvalidation
{
    visibility: hidden;
}

.fraformsform .frach-e-input__input[aria-expanded=true]~.frach-e-select__list {
    max-height: 18em;
}

/* Normalerweise nicht teil von FraForms, wird aber trotzdem mitgeliefert */
.msgerror {
    border-color: #d71b3a;
    background: rgba(247, 209, 216, .2);
    padding: 1em;
    border-radius: 0.25em;
    color: #d71b3a;
}
.comment {
    border-color: #1bd73a;
    background: rgba(209, 247, 216, .2);
    padding: 1em;
    border-radius: 0.25em;
    color: #1bd73a;
}

button > frach-e-icon.frach-m-meta-navigation__menu-opener-icon {
    right: 0;
}

label.activelabel.frach-e-input__label
{
    font-family: roboto-light,sans-serif;
    font-size: 12px;
    font-weight: 400;
    font-style: normal;
    line-height: 18px;
    padding-top: 7px
}

.fraformsform .selectize-input {
    border: 1px solid #d0d0d0;
    padding: 0.5em;
    display: inline-block;
    width: 100%;
    position: relative;
    z-index: 1;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.1);
    box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.1);
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}

.fraformsform .selectize-input.dropdown-active {
    -webkit-border-radius: 3px 3px 0 0;
    -moz-border-radius: 3px 3px 0 0;
    border-radius: 3px 3px 0 0;
}

.fraformsform .selectize-input.focus {
    /*-webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15);*/
}

.fraformsform .selectize-dropdown {
    position: absolute;
    z-index: 10;
    border: 1px solid #d0d0d0;
    background: #fff;
    margin: -1px 0 0 0;
    border-top: 0 none;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    -webkit-border-radius: 0 0 3px 3px;
    -moz-border-radius: 0 0 3px 3px;
    border-radius: 0 0 3px 3px;
}

.fraformsform .selectize-dropdown .active {
    background-color: #40a0FD;
    color: #495c68;
}

.fraformsform  .selectize-control .selectize-dropdown .active {
    color: #ffffff;
}

.fraformsform .readonly{
    margin-bottom: 1em;
}

.fraformsform .frach-e-input--field.frach-state-error.frach-state-valuechanged>.frach-e-input__input
{
    border-color: #e4821a;
    background: #fae6d1;
}

.fraformsform .frach-e-input.smalllabel > label {
    max-width: calc(100% - 57px);
    color: #4f5457;
    pointer-events: none;
    padding-top: 7px;
    width: 100%;
    font-family: roboto-light,sans-serif;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    line-height: 18px;
}

.fraformsform frach-m-input-group.frach-m-form__group:after {
    clear: both;
    content: '';
    display: block;
}

.fraformsform .formcomponent > .frach-e-input--field > span.frach-e-input__message.frach-e-input__message--info {
    display: none;
}

.fraformsform .formcomponent.ffactive > .frach-e-input--field > span.frach-e-input__message.frach-e-input__message--info {
    display: inline-block;
}

.fraformsform  .frach-e-input__message {
    position: unset;
}

.fraformsform .frach-state-error > .frach-e-input__message--error.msg
{
    padding-right: 1em;
    display: inline-block;
}

.frach-e-input__message.frach-e-input__message--error.msg:empty,
.fraformsform .formcomponent.ffactive > .frach-e-input--field > span.frach-e-input__message.frach-e-input__message--info:empty,
.frach-e-input__message.frach-e-input__message--info:empty{
    display: none;
}

.fraformstable .frach-e-input--field
{
    height: 36px;
    margin: 0;
    padding: 0;
}

.fraformstable .frach-e-input--field>.frach-e-input__icon
{
    top: 6px;
}

.fraformsform .fraformstable .frach-e-input--field.frach-state-active .frach-e-input__input {
    padding-top: 7px;
    padding-bottom: 0;
    padding-right: 55px;
}

.fraformsform .fraformstable .frach-e-input--field.frach-state-active .frach-e-input__input:focus
{
    padding-right: 54px;
}

.fraformsform .fraformstable .frach-e-input--field.frach-state-active .frach-e-input__input.flatpickr-input
{
    padding-left: 55px;
}

.fraformsform .fraformstable .frach-e-input--field.frach-state-active .frach-e-input__input.flatpickr-input:focus
{
    padding-left: 54px;
}
.fraformsform .fraformstable .forminfotext {
    padding: 0.25em 0.2em;
}

.fraformsform .fraformstable .frach-e-input--field.frach-state-initialized>.frach-e-input__input
{
    transition: none;
}

.fraformsform .fraformstable .frach-e-select > label,
.fraformsform .fraformstable  .frach-e-input--field > label {
    display: none;
}

.fraformsform .fraformstable .frach-e-input {
    margin: inherit;
}

.fraformsform .fraformstable tbody td {
    padding: 0.5em;
}

.fraformsform input[disabled], .fraformsform select[disabled], .fraformsform textarea[disabled]
{
    opacity: 0.5;
}

.fraformsform .frach-e-input.disabled {
    opacity: 0.5;
}

.fraformsform .frach-e-input.disabled > input[disabled],
.fraformsform .frach-e-input.disabled > select[disabled],
.fraformsform .frach-e-input.disabled > textarea[disabled]
{
    opacity: inherit;
}

.fraformsform .frach-e-input.disabled > input[disabled][type=checkbox]
{
    opacity: 0;
}

.flatpickr-calendar div.flatpickr-current-month
{
    justify-content: center
}

.flatpickr-calendar.hasTime.noCalendar {
    margin-top: 1.5em;
}